"use strict";
const vue = require("vue");
const lodash = require("lodash");
function useSetState(initialState) {
  const getInitialState = () => vue.unref(initialState);
  const state = vue.ref(getInitialState());
  const setMergeState = (patch) => {
    const newState = vue.unref(patch);
    state.value = newState ? lodash.merge(state.value, newState) : state.value;
  };
  return [vue.readonly(state), setMergeState];
}
module.exports = useSetState;
